# std::get_pointer_safety

From cppreference.com
< cpp‎ | memory

Defined in header `<memory>` |  |
std::pointer_safety get_pointer_safety() noexcept; |  | (since C++11)

Obtains the implementation-defined pointer safety model, which is a value of type std::pointer_safety.

### Parameters

(none)

### Return value

The pointer safety used by this implementation.

### Example

Run this code

    #include <iostream>
    #include <memory>

    int main()
    {
        std::cout << "Pointer safety: ";
        switch (std::get_pointer_safety()) {
            case std::pointer_safety::strict:    std::cout << "strict\n"; break;
            case std::pointer_safety::preferred: std::cout << "preferred\n"; break;
            case std::pointer_safety::relaxed:   std::cout << "relaxed\n"; break;
        }
    }

Possible output:

    Pointer safety: relaxed

### See also

pointer_safety (C++11) | lists pointer safety models (enum)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/memory/gc/get_pointer_safety&oldid=98905"